#ifndef TEST2_H_
#define TEST2_H_

#ifdef TEST2A
// Adapted from iodefine.h of RX64M
struct st_system {
    union {
        unsigned char BYTE;
        struct {
            unsigned char :1;
            unsigned char MOSEL:1;
            unsigned char MODRV2:2;
            unsigned char :3;
            unsigned char MOFXIN:1;
        } BIT;
    } MOFCR;
};
#define SYSTEM      (*(volatile struct st_system *)0x80000)
#endif /* #ifdef TEST2A */

#ifdef TEST2B
// Adapted from iodefine.h of RX63N,RX631
struct st_system {
    union {
        unsigned char BYTE;
        struct {
            unsigned char :7;
            unsigned char MOFXIN:1;
        } BIT;
    } MOFCR;
    union {
        unsigned char BYTE;
        struct {
            unsigned char :3;
            unsigned char PSTS:5;
        } BIT;
    } PLLWTCR;
};
#define SYSTEM      (*(volatile struct st_system *)0x80000)
#endif /* #ifdef TEST2B */

#endif /* TEST2_H_ */
